Subject: Re: [PATCH net] tls: restore sk_prot before calling original destructor

From: Sabrina Dubroca <[email-masked]>
Date: Mon, 8 Jun 2026 10:28:45 +0200

2026-06-05, 20:57:07 +0800, Geliang Tang wrote:
> From: Geliang Tang <[email-masked]>
> 
> When a TLS socket is offloaded to a TOE device, tls_toe_bypass() replaces

Or maybe it's time to simply drop tls_toe? There's only one driver
that uses it (chelsio/chtls), and it hasn't been touched by someone at
chelsio since 2021 (2355a6773a2c [1]). Since then, there have been a
few fixes by people who I doubt are actually using this (Eric, Dan
Carpenter), everything else is treewide/refactoring patches.

[1] the author of this commit, and current maintainer for
drivers/crypto/chelsio and drivers/net/ethernet/chelsio/inline_crypto,
hasn't been around since 2022

-- 
Sabrina